<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.moka.gdtauto.mapper.AccountGroupAccountRelationshipMapper">

    <!-- 批量插入账号组与账号关系 -->
    <insert id="batchInsert" parameterType="java.util.List">
        INSERT INTO account_group_account_relationship (
            group_id,
            account_id,
            create_time,
            update_time
        ) VALUES
        <foreach collection="relationships" item="item" separator=",">
            (
                #{item.groupId},
                #{item.accountId},
                #{item.createTime},
                #{item.updateTime}
            )
        </foreach>
    </insert>

</mapper>
